

textures/spazz_space/space_skybox
{
	qer_editorimage env/spazz_space/spazz_space_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
//	q3map_lightimage textures/spazz_space/skylightimage.jpg
	surfaceparm sky
	// intensity, degrees, elevation
	q3map_sunExt 1.0 1.0 1.0 660 195 24 3 32			//adds deviance and samples
		

	q3map_lightmapFilterRadius 0 5
//	q3map_skylight 350 3
	q3map_skylight 300 4

	skyparms env/spazz_space/spazz_space 1024 -

{
		map textures/spazz_space/spacedust.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		//tcMod scale 4 4
		tcMod scroll 0.1 0.01
	rgbGen identityLighting
	}
{
		map textures/spazz_space/spacedust2.tga
		rgbgen wave sin 0.2 0.1 0.5 0.3
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		//tcMod scale 4 4
		tcMod scroll -0.01 -0.005
	rgbGen identityLighting
	}


}



textures/spazz_space/stars
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/spazz_space/stars.tga
		blendFunc blend
	//	alphaFunc GE128
		tcmod scroll 0.005 0.0
		//tcMod turb 0.02 0.01 0.01 0.05

rgbGen identityLighting
	}
}
textures/spazz_space/stars2
{
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/spazz_space/stars2.tga
		blendFunc blend
	//	alphaFunc GE128
		tcmod scroll -0.001 0.001
		//tcMod turb 0.02 0.01 0.01 0.05

rgbGen identityLighting
	}
}






textures/spazz_space/planetclouds
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/spazz_space/planetclouds.tga
		blendFunc blend
	//	alphaFunc GE128
		tcmod scroll -0.01 0.001
		tcMod turb 0.02 0.01 0.01 0.05

rgbGen identityLighting
	}
}
textures/spazz_space/jupitermap
{
	//q3map_forcemeta
	surfaceparm noimpact
	surfaceparm nonsolid

	{
		map textures/spazz_space/jupitermap.jpg
		tcmod scroll -0.003 0.0
		tcMod turb 0.0 0.005 0.0 0.01
		rgbgen vertex
	}




}
textures/spazz_space/black
{

surfaceparm nolightmap
  {
          map textures/spazz_space/black
 
  }

} 

textures/spazz_space/glass
{

surfaceparm trans
qer_trans 0.2
//q3map_forcemeta
  {
          map textures/spazz_space/shine.jpg
	//rgbgen vertex   
	blendfunc add
	tcgen environment
         
  }

} 
textures/spazz_space/hueyshield
{

surfaceparm trans
surfaceparm nonsolid
surfaceparm nolightmap
surfaceparm noimpact
qer_trans 0.2
//q3map_forcemeta
  {
          map textures/spazz_space/hueyshield.jpg
	//rgbgen vertex   
	blendfunc add
//	tcgen environment
  	tcmod scroll 1 5       
  }

} 

textures/spazz_space/ringtransporter
{

surfaceparm trans
surfaceparm nonsolid
surfaceparm nolightmap
surfaceparm noimpact
qer_trans 0.2
q3map_surfacelight 400	
//deformVertexes move <x> <y> <z> <func> <base> <amplitude> <phase> <freq>	
deformVertexes move 0.1 0.1 1.0 sin 0 1 0.0 0.2

//q3map_forcemeta
  {
          map textures/spazz_space/hueyshield.jpg
	//rgbgen vertex   
	blendfunc add
//	tcgen environment
  	tcmod scroll 1 1       
  }

}

textures/spazz_space/glassliving
{

surfaceparm trans
qer_trans 0.2
//q3map_forcemeta
  {
          map textures/spazz_space/shinelivingquarters2.jpg
	//rgbgen vertex   
	blendfunc add
	tcgen environment
         
  }

} 


textures/spazz_space/invisiglass
{

surfaceparm trans
qer_trans 0.2
qer_editorimage textures/spazz_space/shine.jpg
//q3map_forcemeta
  {
          map textures/spazz_space/shine.jpg
	//rgbgen vertex   
	blendfunc add
	tcgen environment
         
  }

} 


textures/spazz_space/domeglassns
{
surfaceparm trans
q3map_clipmodel
qer_editorimage textures/spazz_space/domeglass2.tga
q3map_cloneshader  textures/spazz_Space/domeglass_back
qer_trans 0.2
q3map_forcemeta
surfaceparm weapclip
  {
          map textures/spazz_space/shine3.jpg
	blendfunc add
	tcgen environment

  }

{
          map textures/spazz_space/domeglass2.tga
rgbgen vertex   
	blendfunc blend
         
  }


} 


textures/spazz_space/invisible_ladder
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
surfaceparm ladder
surfaceparm nodamage
}

textures/spazz_space/cargonet
{
surfaceparm trans
//q3map_cloneshader  textures/spazz_Space/domeglass_back
qer_trans 0.2
//q3map_forcemeta
{
          map textures/spazz_space/cargonet.tga
rgbgen vertex   
	blendfunc blend
         
  }


} 


textures/spazz_space/domeglassbreakable
{
q3map_clipmodel
surfaceparm trans
	

q3map_cloneshader  textures/spazz_Space/domeglass_back
qer_trans 0.2
q3map_forcemeta
surfaceparm weapclip
//  {
//          map textures/spazz_space/shine3.jpg
//	blendfunc add
//	tcgen environment
//
//  }

{
          map textures/spazz_space/domeglass2.tga
rgbgen vertex   
	blendfunc blend
         
  }


} 

textures/spazz_space/domeglass
{
q3map_clipmodel
surfaceparm trans
	

q3map_cloneshader  textures/spazz_Space/domeglass_back
qer_trans 0.2
q3map_forcemeta
surfaceparm weapclip
  {
          map textures/spazz_space/shine3.jpg
	blendfunc add
	tcgen environment

  }

{
          map textures/spazz_space/domeglass2.tga
rgbgen vertex   
	blendfunc blend
         
  }


} 

textures/spazz_space/domeglass_back
{
surfaceparm trans
q3map_invert
q3map_forcemeta

  {
          map textures/spazz_space/shineindome3.jpg
	blendfunc add
	tcgen environment

  }
  
{
          map textures/spazz_space/domeglass.tga
rgbgen vertex   
	blendfunc blend
         
  }


} 





textures/spazz_space/hubmetalmodel
{
  {
          map textures/spazz_space/hubmetal.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/sun.jpg
	blendfunc add
	rgbgen vertex
	tcgen environment
         
  }
} 


textures/spazz_space/hubmetal
{
	//q3map_forcemeta
	//q3map_clipModel

  {
          map textures/spazz_space/hubmetal.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/sun.jpg
	blendfunc add
	rgbgen vertex
	tcgen environment
         
  }
} 

textures/spazz_space/hubmetal2
{
	//q3map_clipModel
	//q3map_forcemeta

  {
          map textures/spazz_space/hubmetal2.jpg	
	rgbgen vertex
}
         
} 
textures/spazz_space/hubmetal3
{
//	q3map_clipModel
	//q3map_forcemeta

  {
          map textures/spazz_space/hubmetal3.jpg	
	rgbgen vertex
}
 {
          map textures/spazz_space/sun.jpg
	blendfunc add
	rgbgen vertex
	tcgen environment
         
  }
         
} 

textures/spazz_space/hubmetal4
{
//	q3map_clipModel
	//q3map_forcemeta

  {
          map textures/spazz_space/hubmetal4.jpg	
	rgbgen vertex
}
{
          map textures/spazz_space/sun.jpg
	blendfunc add
	rgbgen vertex
	tcgen environment
         
  }         
} 
textures/spazz_space/darkmetal
{
	//q3map_forcemeta
	

  {
          map textures/spazz_space/darkmetal.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
//{
//	map $lightmap
//	blendfunc filter
//}
} 
textures/spazz_space/darkmetal2
{
	//q3map_forcemeta
	
	q3map_clipmodel
  {
          map textures/spazz_space/darkmetal2.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
//{
//	map $lightmap
//	blendfunc filter
//}
} 


textures/spazz_space/umbrella_clip
{
	q3map_clipmodel
	qer_trans 0.10
	qer_nocarve
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/spazz_space/stair_clip
{
	q3map_clipmodel
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}
textures/spazz_space/rock_clip
{
	q3map_clipmodel
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodamage
	surfaceparm nodraw
//	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm trans
//	surfaceparm nomarks
//	surfaceparm playerclip
}
textures/spazz_space/glassclip
{
	q3map_clipmodel
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/spazz_space/finclip
{
	q3map_clipmodel
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
}

textures/spazz_space/spazz_metalclip
{
	qer_editorimage textures/spazz_space/huey_metal.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	//surfaceparm nomarks
	surfaceparm weapclip
	//surfaceparm nodamage
}


textures/spazz_space/spazz_sandclip
{
	qer_editorimage textures/spazz_space/sand.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	//surfaceparm nomarks
	surfaceparm weapclip
	//surfaceparm nodamage
}
textures/spazz_space/stair
{
	q3map_forcemeta
	

  {
          map textures/spazz_space/stair.jpg	
}
         
{
	map $lightmap
	blendfunc filter
}
} 
textures/spazz_space/fish2
{

//deformVertexes move <x> <y> <z> <func> <base> <amplitude> <phase> <freq>	
deformVertexes move 0.8 0.8 0.0 sin 0 1 0.0 0.2
  {
          map textures/spazz_space/fish2.jpg	
//	rgbgen lightingDiffuse
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
          blendFunc add //GL_DST_COLOR GL_ONE
	tcgen environment
         //rgbgen vertex
  }
} 
textures/spazz_space/fish2b
{

//deformVertexes move <x> <y> <z> <func> <base> <amplitude> <phase> <freq>	
deformVertexes move -0.1 0.1 0.0 sin 0 1 0.0 0.2
  {
          map textures/spazz_space/fish2.jpg	
//	rgbgen lightingDiffuse
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
          blendFunc add //GL_DST_COLOR GL_ONE
	tcgen environment
         //rgbgen vertex
  }
} 
textures/spazz_space/fish2c
{


  {
          map textures/spazz_space/fish2.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
          blendFunc add //GL_DST_COLOR GL_ONE
	tcgen environment
 
  }
} 
textures/spazz_space/specialvent
{
	surfaceparm nonsolid
  {
          map textures/spazz_space/specialvent.jpg	

	}

{
	map $lightmap
	blendfunc filter
}
} 


textures/spazz_space/vent_special
{
qer_editorimage textures/spazz_space/fan.jpg	
//surfaceparm nodrop
  {
          map textures/spazz_space/fan_trans.tga
//rgbGen wave sin 0.8 0.2 0.0 0.1	         
	blendfunc blend	
	tcmod rotate 50
}
         
  {
          map textures/spazz_space/vent.tga
rgbgen vertex
	alphaFunc GE128
  }
} 




textures/spazz_space/floorvent
{
polygonOffset
  {
          map textures/spazz_space/floorvent.tga
	blendfunc blend	
	rgbgen vertex
}
    
} 



textures/spazz_space/vent
{

  {
          map textures/spazz_space/fan.jpg	
rgbGen wave sin 0.8 0.2 0.0 0.1	         
	
	tcmod rotate 150
}
         
  {
          map textures/spazz_space/vent.tga
rgbgen vertex
	alphaFunc GE128
  }
} 
textures/spazz_space/vent2
{
qer_editorimage textures/spazz_space/vent.tga
  {
          map textures/spazz_space/fan.jpg	
rgbGen wave sin 0.8 0.2 0.0 0.1	         
	
	tcmod rotate 205
}
         
  {
          map textures/spazz_space/vent.tga
rgbgen vertex
	alphaFunc GE128
  }
} 

textures/spazz_space/vent3
{
qer_editorimage textures/spazz_space/vent.tga
  {
          map textures/spazz_space/fan.jpg	
rgbGen wave sin 0.8 0.2 0.0 0.1	         
	
	tcmod rotate 102
}
         
  {
          map textures/spazz_space/vent.tga
rgbgen vertex
	alphaFunc GE128
  }
} 



textures/spazz_space/vent4
{
qer_editorimage textures/spazz_space/vent.tga
  {
          map textures/spazz_space/fan.jpg	
rgbGen wave sin 0.8 0.2 0.0 0.1	         
	
	//tcmod rotate 205
}
         
  {
          map textures/spazz_space/vent.tga
rgbgen vertex
	alphaFunc GE128
  }
} 



textures/spazz_space/carpet3ns
{
surfaceparm nonsolid	

qer_editorimage textures/spazz_space/carpet2.jpg	
  {
          map textures/spazz_space/carpet2.jpg	
}
{
	map $lightmap
	blendfunc filter
}
} 
textures/spazz_space/wing
{
	q3map_forcemeta
q3map_clipmodel

  {
          map textures/spazz_space/wing.jpg	
}
         
  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
{
	map $lightmap
	blendfunc filter
}
} 
textures/spazz_space/wingmodel
{
	surfaceparm nonsolid
	q3map_forcemeta
	qer_editorimage textures/spazz_space/wing.jpg	
  {
          map textures/spazz_space/wing.jpg	
}
         
  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
{
	map $lightmap
	blendfunc filter
}
} 


textures/spazz_space/wing_end
{
	

  {
          map textures/spazz_space/wing_end.jpg	
	rgbgen vertex
}
         
  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
} 


textures/spazz_space/yellowline
{
polygonOffset	

  {
          map textures/spazz_space/yellowline.tga	
	blendfunc blend
}
         
{
	map $lightmap
	blendfunc filter
}
} 


textures/spazz_space/whiteline
{
polygonOffset	
surfaceparm nolightmap
q3map_surfacelight 2400	

qer_editorimage textures/spazz_space/flourescenttube.jpg	

  {
          map textures/spazz_space/flourescenttube.jpg	
	//blendfunc blend
}
} 

textures/spazz_space/whiteline2
{
polygonOffset	
surfaceparm nolightmap
q3map_surfacelight 100	



  {
          map textures/spazz_space/whiteline2.tga	
	blendfunc blend
}
} 

textures/spazz_space/centrelight
{

q3map_surfacelight 400	
	//qer_trans 0.40

surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/centrelight.jpg
//blendfunc add
}


} 
textures/spazz_space/flourescenttube_trans
{

q3map_surfacelight 1200	
//qer_trans 0.40
polygonOffset
qer_editorimage textures/spazz_space/flourescenttube2.jpg
surfaceparm trans
surfaceparm nolightmap
surfaceparm noimpact
{
map textures/spazz_space/flourescenttube2.jpg
//blendfunc add
}


} 



textures/spazz_space/flourescenttube3
{

q3map_surfacelight 1900	
//qer_trans 0.40
polygonOffset
surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube3.jpg
//blendfunc add
}


} 

textures/spazz_space/flourescenttube3_bright
{
qer_editorimage textures/spazz_space/flourescenttube3b.jpg
q3map_surfacelight 3900	
//qer_trans 0.40
polygonOffset
surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube3b.jpg
//blendfunc add
}


} 


textures/spazz_space/flourescenttube_trans2
{

q3map_surfacelight 1600	
//qer_trans 0.40
polygonOffset
qer_editorimage textures/spazz_space/flourescenttube2.jpg
surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube2.jpg
//blendfunc add
}


} 
textures/spazz_space/flourescenttube_trans2_off
{

q3map_surfacelight 100	
//qer_trans 0.40
polygonOffset
qer_editorimage textures/spazz_space/flourescenttube2.jpg
surfaceparm trans
surfaceparm nolightmap
q3map_vertexscale 0.5
{
map textures/spazz_space/flourescenttube2.jpg
//rgbgen vertex
//blendfunc add
}

  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

} 
textures/spazz_space/flourescentlightgrid
{

q3map_surfacelight 14400	
	//qer_trans 0.40

qer_editorimage textures/spazz_space/flourescentlightgrid.jpg
//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescentlightgrid.jpg
//blendfunc add
}


} 

textures/spazz_space/flourescenttube
{

q3map_surfacelight 4400	
	//qer_trans 0.40

qer_editorimage textures/spazz_space/flourescenttube.jpg
//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube.jpg
//blendfunc add
}


} 
textures/spazz_space/flourescenttube_off
{

q3map_surfacelight 50	
	//qer_trans 0.40

q3map_lightimage textures/spazz_space/couch.jpg
qer_editorimage textures/spazz_space/flourescenttube_off.jpg
//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube_off.jpg
//rgbgen vertex
//blendfunc add
}
 {
          map textures/spazz_space/shineblob.jpg
	//rgbgen vertex
        blendfunc add
	tcgen environment
         
  }

} 

textures/spazz_space/flourescenttube_red
{

q3map_surfacelight 11400	
	qer_trans 0.40

//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube_red.jpg
}


} 


textures/spazz_space/flourescenttube_yellow
{

q3map_surfacelight 25400	
	qer_trans 0.40

//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube_yellow.jpg
}


} 


textures/spazz_space/flourescenttube_green
{

q3map_surfacelight 11400	
	qer_trans 0.40

//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube_green.jpg
}


} 





textures/spazz_space/lightrail
{
q3map_lightimage textures/spazz_space/whiteball.jpg
q3map_surfacelight 1300	
qer_trans 0.40

//surfaceparm trans
surfaceparm nolightmap
polygonOffset
{
map textures/spazz_space/lightrail.jpg
rgbGen wave sin 0.8 0.1 0 0.1
}



} 



textures/spazz_space/greenlight
{

q3map_surfacelight 100	
	qer_trans 0.40

//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/greenlight.jpg
rgbGen wave sin 0.6 0.4 0 0.5
tcmod scroll 1.0 0.0
}



} 

textures/spazz_space/computerscreen
{
surfaceparm nolightmap

	  {
            map env/spazz_space/spazz_space_ft.tga
		tcmod scroll 0.01 0.0
	}
  {
            map textures/spazz_space/stars.tga
	blendfunc add
		tcmod scroll 0.02 0.0
	}

	
}


textures/spazz_space/computerscreenglass
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
//cull none
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 
textures/spazz_space/computerscreen2
{
surfaceparm nolightmap

	  {
            map env/spazz_space/spazz_space_ft.tga
		tcmod scroll 0.01 0.0
	}
  {
            map textures/spazz_space/stars.tga
	blendfunc add
		tcmod scroll 0.02 0.0
	}

 {
          map textures/spazz_space/shinelivingquarters2.jpg
       
	 tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}
textures/spazz_space/computerscreen3
{
surfaceparm nolightmap
qer_editorimage textures/spazz_space/display1.jpg
	  {
            map textures/spazz_space/display1.jpg
		tcmod scroll 0.00 0.3
	}
 {
          map textures/spazz_space/shinelivingquarters2.jpg
      
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}
textures/spazz_space/computerscreen3b
{
qer_editorimage textures/spazz_space/display1.jpg
surfaceparm nolightmap

	  {
            map textures/spazz_space/display1.jpg
		tcmod scroll 0.00 0.1
		rgbgen const ( 1.0 0.2 1.0 )
	}
 {
           map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}

textures/spazz_space/computerscreen4
{
surfaceparm nolightmap
qer_editorimage textures/spazz_space/display2.jp
	  {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 4.2 0.0 0.2
rgbgen wave sawtooth 0.0 1.0 0.0 0.2
		//blendfunc add

	}

	  {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 4.2 0.4 0.2
rgbgen wave sawtooth 0.0 1.0 0.4 0.2
		blendfunc add

	}
     {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 4.2 0.8 0.2
rgbgen wave sawtooth 0.0 1.0 0.8 0.2
		blendfunc add

	}
 {
                map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}


textures/spazz_space/computerscreen4b
{
surfaceparm nolightmap
qer_editorimage textures/spazz_space/display2.jp
	  {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 -4.2 0.0 0.2
rgbgen wave sawtooth 0.0 -1.0 0.0 0.2
		//blendfunc add

	}

	  {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 -4.2 0.4 0.2
rgbgen wave sawtooth 0.0 -1.0 0.4 0.2
		blendfunc add

	}
     {
            map textures/spazz_space/display2.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sawtooth 0.6 -4.2 0.8 0.2
rgbgen wave sawtooth 0.0 -1.0 0.8 0.2
		blendfunc add

	}
 {
                 map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}










textures/spazz_space/computerscreen5
{
surfaceparm nolightmap

	  {
            map textures/spazz_space/flourescentlightgrid.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sin 0.2 0.4 0.0 0.1
tcmod rotate 5
rgbgen wave sin 0.4 0.3 0.0 0.1
		//blendfunc add

	}

 {
                  map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}


textures/spazz_space/computerscreen5b
{
surfaceparm nolightmap

	  {
            map textures/spazz_space/flourescentlightgrid.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sin 0.2 0.4 0.0 0.1
tcmod rotate 5
//rgbgen wave sin 0.4 0.3 0.0 0.1
rgbgen const ( 0.5 0.5 0.9 )
		//blendfunc add

	}

 {
                   map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}


textures/spazz_space/computerscreen6
{
surfaceparm nolightmap

	  {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.0 22
rgbgen wave sin 0.3 0.2 0.0 0.5
		//blendfunc add

tcmod scroll 0.0 6.0
	}

 {
                 map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
	
}


textures/spazz_space/computerscreen7
{
surfaceparm nolightmap

	  {
            map textures/spazz_space/computerscreen7.jpg

	}

 {
                 map textures/spazz_space/shinelivingquarters2.jpg

          tcgen environment
         blendFunc add
   }
	
}
textures/spazz_space/computerscreen8
{
surfaceparm nolightmap

	  {
            map env/spazz_space/spazz_space_ft.tga
		tcmod scroll 0.01 0.0
	}
  {
            map textures/spazz_space/stars.tga
	blendfunc add
		tcmod scroll 0.02 0.0
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
tcMod stretch sin 1.0 0.1 0.0 0.01

	}
 {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.0 22
rgbgen wave sin 0.1 0.2 0.0 0.5
		blendfunc add

tcmod scroll 0.0 6.0
	}
{
                map textures/spazz_space/shineblob.jpg

	blendfunc add
	tcgen environment
         
  }	
}






textures/spazz_space/computerscreen9
{
surfaceparm nolightmap

{
		map textures/spazz_space/map.jpg 
		animmap 0.2 textures/spazz_space/map.jpg textures/spazz_space/computerscreen9.jpg textures/spazz_space/computerscreen10.jpg textures/spazz_space/map.jpg 
}

{
		//map textures/phelps_test/circuits/photo2.jpg
		map textures/spazz_space/computerscreen9.jpg
		blendFunc    GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//wave <func> <base> <amp> <phase> <freq>
		alphaGen    wave sin 0.5 1 0.75 0.1
}



//	  {
  //          map env/spazz_space/spazz_space_ft.tga
//		tcmod scroll 0.01 0.0
//	}
  {
            map textures/spazz_space/stars.tga
	blendfunc add
		tcmod scroll 0.02 0.0
	}




	 
 {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.2 22
rgbgen wave sin 0.2 0.2 0.3 0.5
		blendfunc add

tcmod scroll 0.0 6.0
	}
{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }	
}



textures/spazz_space/spacecorona 
{
   
  deformVertexes autoSprite 
qer_trans 0.40

 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact

    cull none
          {
            clampmap textures/spazz_space/spacecorona.jpg
	
           blendFunc GL_ONE GL_ONE
          }
}



textures/spazz_space/lightstandlight
{

q3map_surfacelight 4400	

qer_editorimage textures/spazz_space/flourescenttube.jpg
//surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_space/flourescenttube.jpg
//blendfunc add
}
}

textures/spazz_space/lightstand
{
qer_editorimage textures/spazz_space/link.jpg
{
map textures/spazz_space/link.jpg
rgbgen vertex
}


} 

textures/spazz_space/huey_metal
{
{
map textures/spazz_space/huey_metal.jpg
rgbgen vertex
}

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 


textures/spazz_space/flourescentlightmetal2
{
qer_editorimage textures/spazz_space/flourescentlightmetal.jpg

{
map textures/spazz_space/flourescentlightmetal.jpg
}

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
}

textures/spazz_space/flourescentlightmetal
{
qer_editorimage textures/spazz_space/flourescentlightmetal.jpg

{
map textures/spazz_space/flourescentlightmetal.jpg
rgbgen vertex
}

  {
          map textures/spazz_space/shine.jpg
		rgbgen vertex
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
}


textures/spazz_space/gravel
{
q3map_forcemeta
//surfaceparm trans
  //	q3map_nonplanar
//	q3map_terrain
//   	q3map_shadeAngle 179
 //	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
{
map textures/spazz_space/gravel.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/gravelmodel
{
q3map_forcemeta
surfaceparm trans
{
map textures/spazz_space/gravel.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/grass
{
  	q3map_nonplanar
	q3map_terrain
   	q3map_shadeAngle 179
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
{
map textures/spazz_space/grass.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/apples
{
	q3map_forcemeta
  	q3map_nonplanar
   	q3map_shadeAngle 150
q3map_indexed
q3map_lightmapaxis z
q3map_lightmapMergable
{
map textures/spazz_space/apples.jpg
//rgbgen vertex
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/grass_dirt
{
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 179
	q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

//density odds minscale maxscale minangle maxangle oriented
//	q3map_surfaceModel models/spazz_space/spazz_space_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1

   qer_editorimage textures/spazz_space/grass_dirt.jpg
//q3map_lightmapMergable
{

map textures/spazz_space/grass.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_space/dirt.jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_space/grass2_grass7
{
	q3map_clipmodel
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 179
	q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

//density odds minscale maxscale minangle maxangle oriented
//	q3map_surfaceModel models/spazz_space/spazz_space_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1

   qer_editorimage textures/spazz_space/grass2_grass7.jpg
//q3map_lightmapMergable
{

map textures/spazz_space/grass2.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_space/grass7.jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_space/grass2_soil
{
	surfaceparm trans
	q3map_splotchFix       

	q3map_clipModel
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 350
	q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.65 )
//q3map_lightmapMergable

//density odds minscale maxscale minangle maxangle oriented
//	q3map_surfaceModel models/spazz_space/spazz_space_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1

   qer_editorimage textures/spazz_space/grass2_soil.jpg
{

map textures/spazz_space/grass2.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_space/soil.jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}




textures/spazz_space/grass2_soilmodel
{
	surfaceparm trans
	surfaceparm nonsolid
	q3map_forcemeta
   qer_editorimage textures/spazz_space/grass2_soil.jpg
{

map textures/spazz_space/grass2.jpg
rgbGen vertex

}

}

textures/spazz_space/grassmodel
{
	surfaceparm trans
	q3map_forcemeta
   qer_editorimage textures/spazz_space/grass.jpg
{

map textures/spazz_space/grass.jpg
rgbGen vertex

}

}





textures/spazz_space/sand_sand2
{
	surfaceparm trans
	q3map_clipmodel
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 350
// 130
	q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_lightmapMergable
//density odds minscale maxscale minangle maxangle oriented
//	q3map_surfaceModel models/spazz_space/spazz_space_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1

   qer_editorimage textures/spazz_space/sand_sand2.jpg
//q3map_lightmapMergable
{

map textures/spazz_space/sand.jpg
rgbGen identity
}

 {
	map textures/spazz_space/sand2.jpg	// Secondary
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   }

{
	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_space/sand_sand2model
{
	surfaceparm trans
	q3map_forcemeta
   qer_editorimage textures/spazz_space/sand_sand2.jpg
{
map textures/spazz_space/sand.jpg
rgbGen vertex
}
}


textures/spazz_space/spazznodraw
{
	qer_trans 0.1
 qer_editorimage textures/spazz_space/grass_dirt.jpg
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}



// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/spazz_space/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_space/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_space/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_space/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_space/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_space/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}




textures/spazz_space/leaves2
{
q3map_backShader  textures/spazz_space/leaves2_back
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
	qer_trans 0.40

	qer_editorimage textures/spazz_space/leaves2.tga
	{
		map textures/spazz_space/leaves2.tga
		alphaFunc GE128
		rgbGen vertex
	}


}
textures/spazz_space/leaves2_back
{
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
	q3map_invert
	qer_trans 0.40
	q3map_vertexscale 2.0
	qer_editorimage textures/spazz_space/leaves2.tga
	{
		map textures/spazz_space/leaves2.tga
		alphaFunc GE128
		rgbGen const ( 0.3 0.3 0.3 )
	}


}





textures/spazz_space/apple
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
    deformVertexes autoSprite
	cull none
	

	{
	map textures/spazz_space/apple.tga
	alphaFunc GE128
	rgbGen const ( 0.5 0.5 0.5 )
}

}

textures/spazz_space/tree3
{
q3map_ClipModel

{
	map textures/spazz_space/tree3.jpg
	rgbgen vertex
}

}

textures/spazz_space/tree2
{
q3map_ClipModel

{
	map textures/spazz_space/tree2.jpg
	rgbgen vertex
}

}
textures/spazz_space/tree2ns
{
qer_editorimage textures/spazz_space/tree2.jpg
{
	map textures/spazz_space/tree2.jpg
	rgbgen vertex
}

}
textures/spazz_space/tree
{
q3map_ClipModel
//q3map_forcemeta
  //	q3map_nonplanar
  // 	q3map_shadeAngle 130
//	q3map_lightmapMergable
{
	map textures/spazz_space/tree.jpg
	rgbgen vertex
}

//{
//	map $lightmap
//	blendFunc GL_DST_COLOR GL_ZERO
//}

}

textures/spazz_space/treens
{
	qer_editorimage textures/spazz_space/tree.jpg

{
	map textures/spazz_space/tree.jpg
	rgbgen vertex
}
}


textures/spazz_space/treebranch
{
q3map_cloneShader  textures/spazz_space/treebranchback
//	surfaceparm trans       
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/treebranch.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}


textures/spazz_space/treebranchback
{
//q3map_forcemeta
	surfaceparm alphashadow
qer_editorimage textures/spazz_space/treebranch.tga
	surfaceparm trans       
	nopicmip
	q3map_invert
          {
            clampmap textures/spazz_space/treebranch.tga
alphaFunc GE128
	//		blendfunc blend
		rgbgen vertex
		}


}



textures/spazz_space/crate_trans
{
q3map_cloneShader  textures/spazz_space/crate_transback
qer_trans 0.5
surfaceparm trans
qer_editorimage textures/spazz_space/cratetrans.tga
          {
            map textures/spazz_space/cratetrans.tga
		rgbgen vertex
		blendfunc blend
	}
	{
	    map textures/spazz_space/shine.jpg
	tcgen environment
//	rgbgen vertex	
	blendfunc add
	
	
	}

}
textures/spazz_space/crate_trans2
{
q3map_cloneShader  textures/spazz_space/crate_transback
qer_trans 0.5
surfaceparm trans
qer_editorimage textures/spazz_space/cratetrans.tga
          {
            map textures/spazz_space/cratetrans.tga
		rgbgen vertex
		blendfunc blend
	}
	{
	    map textures/spazz_space/shine2.jpg
	tcgen environment
	blendfunc add
	
	
	}

}
textures/spazz_space/crate_transback
{
qer_trans 0.5
surfaceparm trans
q3map_invert
qer_editorimage textures/spazz_space/cratetrans.tga
          {
            map textures/spazz_space/cratetrans.tga
		rgbgen vertex
		blendfunc blend
	}

}

textures/spazz_space/crate2_trans
{
qer_trans 0.5
surfaceparm trans
q3map_cloneShader  textures/spazz_space/crate2_transback
qer_editorimage textures/spazz_space/crate2.jpg
          {
            map textures/spazz_space/crate2.jpg
		rgbgen vertex
		//blendfunc blend
	}

}
textures/spazz_space/crate2_transback
{
qer_trans 0.5
surfaceparm trans
q3map_invert
qer_editorimage textures/spazz_space/crate2.jpg
          {
            map textures/spazz_space/crate2.jpg
		rgbgen vertex
		//blendfunc blend
	}

}

textures/spazz_space/crate3_trans
{
q3map_cloneShader  textures/spazz_space/crate3_transback
qer_trans 0.5
surfaceparm trans
qer_editorimage textures/spazz_space/crate3.jpg
          {
            map textures/spazz_space/crate3.jpg
		rgbgen vertex
		//blendfunc blend
	}

}

textures/spazz_space/crate3_transback
{
qer_trans 0.5
surfaceparm trans
q3map_invert
qer_editorimage textures/spazz_space/crate3.jpg
          {
            map textures/spazz_space/crate3.jpg
		rgbgen vertex
		//blendfunc blend
	}

}





textures/spazz_space/leaves
{
q3map_backShader  textures/spazz_space/leaves_back
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
//	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_space/leaves.tga
	{
		map textures/spazz_space/leaves.tga
		alphaFunc GE128
		rgbGen vertex
	}


}
textures/spazz_space/leaves_back
{
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
//	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_space/leaves.tga
	{
		map textures/spazz_space/leaves.tga
		//
		alphaFunc GE128
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 0.4 0.4 0.4 )
	}


}






textures/spazz_space/planter
{
q3map_clipmodel
          {
            map textures/spazz_space/planter.jpg
		rgbgen vertex
	}


}


textures/spazz_space/soil
{
q3map_clipmodel
          {
            map textures/spazz_space/soil.jpg
		rgbgen vertex
	}


}

textures/spazz_space/carrot
{
	surfaceparm nonsolid
	surfaceparm trans
	qer_editorimage textures/spazz_space/carrot.jpg
	{
		map textures/spazz_space/carrot.jpg
		rgbGen vertex
	}


}


textures/spazz_space/carrottop
{
//q3map_backShader  textures/spazz_space/leaves2_back
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	qer_trans 0.40
	q3map_forcemeta
	qer_editorimage textures/spazz_space/carrottop.tga
	{
		map textures/spazz_space/carrottop.tga
		alphaFunc GE128
		rgbGen vertex
	}


}



textures/spazz_space/rock
{
q3map_nonplanar
q3map_forcemeta
q3map_shadeAngle 350
q3map_indexed
q3map_splotchFix       
//q3map_lightmapMergable
//q3map_lightmapSampleOffset 7.0
   {
            map textures/spazz_space/rock.jpg
	}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/rockmodel
{
	q3map_forcemeta
   {
            map textures/spazz_space/rock.jpg
	rgbgen vertex
	}

}
textures/spazz_space/umbrella
{
q3map_cloneShader  textures/spazz_space/umbrella_back
          {
            map textures/spazz_space/umbrella.jpg
		//blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		alphaFunc GE128
		rgbgen vertex
	}

}

textures/spazz_space/umbrella_back
{
q3map_invert
          {
            map textures/spazz_space/umbrella.jpg
		//blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		alphaFunc GE128
		rgbgen vertex
	}

}

textures/spazz_space/umbrella_edge
{
q3map_cloneShader  textures/spazz_space/umbrella_edge_back
          {
            map textures/spazz_space/umbrella_edge.jpg
		//blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		alphaFunc GE128
		rgbgen vertex
	}

}

textures/spazz_space/umbrella_edge_back
{
q3map_invert
          {
            map textures/spazz_space/umbrella_edge.jpg
		//blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		alphaFunc GE128
		rgbgen vertex
	}

}












//thanks null
textures/spazz_space/water_caulk
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}





textures/spazz_space/water
{
	surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//fogparms ( .1 .1 .1 ) 1024
q3map_cloneShader  textures/spazz_space/water_back
	
	qer_editorimage textures/spazz_space/water.jpg
	  
	
	{
		map textures/spazz_space/water2.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
//		//tcmod scale 2 2
//		//rgbGen wave sin 0.1 0.05 0 0.05
		tcMod turb 0.01 0.1 0.01 0.02

	}
	{
         map textures/spazz_space/shine2.jpg
//		rgbGen wave sin 0.2 0.1 0 0.05

        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
//tcMod turb 0.01 0.01 0.01 0.02
	}


}


textures/spazz_space/water_back
{
	surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
q3map_invert 
	
	{
		map textures/spazz_space/water2.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
		tcMod turb 0.01 0.1 0.01 0.02

	}
}

textures/spazz_space/waterspecial
{
	surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//fogparms ( .1 .1 .1 ) 256
	
	qer_editorimage textures/spazz_space/water.jpg
	  q3map_cloneShader  textures/spazz_space/waterspecial_back
	
	{
		map textures/spazz_space/water2g.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
		tcMod turb 0.01 0.1 0.01 0.02
		

	}
//	{
//         map textures/spazz_space/shine2.jpg
  //      tcgen environment
//	  	blendfunc add  //GL_DST_COLOR GL_ONE
//	}


}
textures/spazz_space/waterspecial_back
{
	surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
q3map_invert 
	
	{
		map textures/spazz_space/water2g.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
		tcMod turb 0.01 0.1 0.01 0.02
	}
}

textures/spazz_space/modelwater
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	qer_editorimage textures/spazz_space/water.jpg
	  
	
	{
		map textures/spazz_space/water2.tga
		rgbgen const ( 0.6 0.6 0.6 )
		blendfunc blend //GL_DST_COLOR GL_ONE
	}
	{
         map textures/spazz_space/shine2.jpg
        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}


}


textures/spazz_space/water2
{
	//surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//fogparms ( .1 .1 .1 ) 1024
	//q3map_vertexscale 0.8
	qer_editorimage textures/spazz_space/water.jpg
	  
	
	{
		map textures/spazz_space/water2.tga
		tcmod scroll 0 -0.02
		blendfunc blend
		//tcmod scroll 0 1
	}


	{
		map textures/spazz_space/water2g.tga
		blendfunc blend
		
		tcMod turb 0.1 0.11 0.1 0.02
		rgbgen vertex
	}
	{
         map textures/spazz_space/shine2.jpg
//		rgbGen wave sin 0.2 0.1 0 0.05

        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}

}



textures/spazz_space/spray
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_editorimage textures/spazz_space/water2.tga
	  
	
	{
		map textures/spazz_space/water2.tga
		tcmod scroll 0 -0.02
		blendfunc blend
		//tcmod scroll 0 1
	}


	{
		map textures/spazz_space/water2g.tga
		blendfunc blend
		
		tcMod turb 0.1 0.11 0.1 0.02
		rgbgen vertex
	}
//	{
//         map textures/spazz_space/shine2.jpg
//        tcgen environment
//  	blendfunc add  //GL_DST_COLOR GL_ONE
//	}


}



textures/spazz_space/water2b
{
	//surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//fogparms ( .1 .1 .1 ) 1024
	cull none

	qer_editorimage textures/spazz_space/water_moving.tga
	
	
	

{
		map textures/spazz_space/waterfall.tga
		blendfunc blend
		tcmod scroll 0 -0.5
	}

{
		map textures/spazz_space/water_moving.tga
		rgbgen vertex
		blendfunc blend
		tcmod scroll 0 -0.4
	}
//	{
//         map textures/spazz_space/shine2.jpg
//        tcgen environment
//	  	blendfunc add  //GL_DST_COLOR GL_ONE
//	}


}

textures/spazz_space/water2c
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	qer_editorimage textures/spazz_space/water2.tga
	  
	
	
{
		map textures/spazz_space/waterfall.tga
//		rgbgen vertex
		blendfunc blend
//		tcmod scroll 0 -1
		tcmod scroll 0 -0.5

	}
{
		map textures/spazz_space/water_moving.tga
		rgbgen vertex
		blendfunc blend
//		tcmod scroll 0 -0.4
		tcmod scroll 0 -0.4
	}
//	{
//         map textures/spazz_space/shine2.jpg
//        tcgen environment
//	  	blendfunc add  //GL_DST_COLOR GL_ONE
//	}


}


textures/spazz_space/foam_water
{
surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
        qer_editorimage textures/spazz_space/foam.tga
	//q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

{
		map textures/spazz_space/foam.tga	// primary
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		tcmod scale 1.0 1.5
		//alphaFunc GE128
	tcmod scroll 0.01 -0.01	
// tcMod turb <base> <amplitude> <phase> <freq>		
tcMod turb 0.0 0.02 0.0 0.05
	rgbgen const ( 0.5 0.5 0.5 )
		alphaGen vertex
	
		
	}
	
{
	map textures/spazz_space/water_moving.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		tcmod scroll 0 -0.1
		alphaGen vertex
		rgbGen vertex
	}	



{
       map textures/spazz_space/shine2.jpg
        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}
}

textures/spazz_space/foam_waterfinal
{
surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
        qer_editorimage textures/spazz_space/foam.tga
	//q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

{
		map textures/spazz_space/foam.tga	// primary
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		//alphaFunc GE128
	tcmod scroll -0.015 -0.010	
// tcMod turb <base> <amplitude> <phase> <freq>		
tcMod turb 0.0 0.01 0.0 0.05
		alphaGen vertex
	tcmod scale 1.0 1.5
	rgbgen const ( 0.5 0.5 0.5 )	
	}
	
{
	map textures/spazz_space/water2.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		//tcmod scroll 0 -0.05
		//tcmod rotate 0.5
		alphaGen vertex
		rgbGen vertex
	}	



{
       map textures/spazz_space/shine2.jpg
        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}
}






textures/spazz_space/sea
{
	deformVertexes wave 256 sin 0 2 15 0.08
	surfaceparm water
	//surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	//fogparms ( .1 .1 .1 ) 1024

	qer_editorimage textures/spazz_space/sea.tga
	  
	
	{
		map textures/spazz_space/sea.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
		//tcmod scale 2 2
		//rgbGen wave sin 0.1 0.05 0 0.05
		tcMod turb 0.01 0.01 0.01 0.02

	}
	{
         map textures/spazz_space/shine2.jpg
//		rgbGen wave sin 0.2 0.1 0 0.05

        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
//tcMod turb 0.01 0.01 0.01 0.02
	}


}


textures/spazz_space/seastill
{

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	
	qer_editorimage textures/spazz_space/sea.tga
	  
	
	{
		map textures/spazz_space/sea.tga
		rgbgen vertex
		blendfunc blend //GL_DST_COLOR GL_ONE
	}
	{
         map textures/spazz_space/shine2.jpg

        tcgen environment
	blendfunc add  //GL_DST_COLOR GL_ONE
	}


}


textures/spazz_space/blueball
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/blueball.jpg
		rgbgen vertex
	}
{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

}

textures/spazz_space/whiteball 
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/whiteball.jpg
		rgbgen vertex
	}

{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
}
textures/spazz_space/redball
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/redball.jpg
		rgbgen vertex
	}

{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }
}


textures/spazz_space/orangeball
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/orangeball.jpg
		rgbgen vertex
	}
{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

}

textures/spazz_space/treadplate3_diffuse
{

          {
            map textures/spazz_space/treadplate3.jpg
		rgbgen vertex
		//rgbgen lightingDiffuse
	}

{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

}

textures/spazz_space/maroonball
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/maroonball.jpg
		rgbgen vertex
	}
{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

}



textures/spazz_space/greenball
{
	surfaceparm nolightmap
          {
            map textures/spazz_space/greenball.jpg
		rgbgen vertex
	}
{
          map textures/spazz_space/shineblob.jpg
	blendfunc add
	tcgen environment
         
  }

}

textures/spazz_space/underground_metal2_ns
{
	qer_editorimage textures/spazz_space/underground_metal2.jpg

	surfaceparm nonsolid
          {
            map textures/spazz_space/underground_metal2.jpg
	
	}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_space/diningtable
{
	q3map_forcemeta
	q3map_nonplanar
  	q3map_shadeAngle 30
//q3map_indexed
//q3map_lightmapaxis z
//q3map_lightmapMergable
          {
            map textures/spazz_space/diningtable.jpg
//		rgbgen vertex
	}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_space/corona2
{

qer_editorimage textures/spazz_space/corona2.jpg
qer_trans 0.80

   
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 50	// check

    cull none
          {
           clampmap textures/spazz_space/corona2.jpg
            blendFunc GL_ONE GL_ONE
          }
	
}
textures/spazz_space/corona2_yellow
{

qer_editorimage textures/spazz_space/corona2_yellow.jpg
qer_trans 0.80

   
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 250	// check

    cull none
          {
           clampmap textures/spazz_space/corona2_yellow.jpg
            blendFunc GL_ONE GL_ONE
          }
	
}


textures/spazz_space/corona 
{

qer_editorimage textures/spazz_space/corona.jpg
qer_trans 0.40

   
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 450	// check

    cull none
          {
           map textures/spazz_space/corona.jpg
	   blendFunc GL_ONE GL_ONE
          }
}
textures/spazz_space/corona3 
{

qer_editorimage textures/spazz_space/corona.jpg
qer_trans 0.40

   
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 450	// check

    cull none
          {
           clampmap textures/spazz_space/corona.jpg
            blendFunc GL_ONE GL_ONE
          }
}


textures/spazz_space/sun
{
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	
         {
            clampmap textures/spazz_space/sun.jpg
	tcmod rotate 2
            blendFunc add
          }
}
textures/spazz_space/sun2
{
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
          {
            clampmap textures/spazz_space/sun2.jpg
	tcmod rotate -2
	// base amp phase, freq
	 rgbGen wave sin 0.2 0.2 0.0 0.1
           blendFunc add
          }
}



textures/spazz_space/lamp
{
cull none
qer_trans 0.20
//sort 12
surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/lamp.jpg
	rgbgen vertex
          blendFunc filter // blend //GL_ONE GL_ONE
  }
  {
          map textures/spazz_space/shine_livingquarters.jpg
//rgbgen vertex
	tcgen environment 
          blendFunc add // blend //GL_ONE GL_ONE
  }


} 




textures/spazz_space/lamp_off
{
cull none
qer_trans 0.20
//sort 12
surfaceparm trans
surfaceparm nolightmap
qer_editorimage textures/spazz_space/lamp.jpg
  {
          map textures/spazz_space/lamp.jpg
	rgbgen vertex
          blendFunc filter // blend //GL_ONE GL_ONE
  }
  {
          map textures/spazz_space/shine_livingquarters.jpg
	rgbgen vertex
	tcgen environment 
          blendFunc add // blend //GL_ONE GL_ONE
  }


} 

textures/spazz_space/lamp_solid
{


surfaceparm trans
surfaceparm nolightmap
qer_editorimage textures/spazz_space/lamp.jpg

  {
          map textures/spazz_space/lamp.jpg
	rgbgen vertex
        //  blendFunc GL_ONE GL_ONE
  }


} 

textures/spazz_space/bulb
{
//cull none
sort 12
qer_trans 0.20
qer_editorimage textures/spazz_space/shine5c.jpg

surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/shine5c.jpg
          tcgen environment
          //blendFunc GL_ONE GL_ONE
  }


} 


textures/spazz_space/bulb_off
{
//cull none
sort 12
qer_trans 0.20
qer_editorimage textures/spazz_space/shine5c.jpg

surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/shineblob.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


}

textures/spazz_space/duey_02
{
qer_trans 0.20
surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/duey_02.tga
	rgbgen vertex
          blendFunc blend 
  }


}  



textures/spazz_space/louey_03
{
qer_trans 0.20
surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/louey_03.tga
	rgbgen vertex
          blendFunc blend 
  }


}  


textures/spazz_space/huey_01
{
qer_trans 0.20
surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_space/huey_01.tga
	rgbgen vertex
          blendFunc blend 
  }


}  



textures/spazz_space/huey_lamp
{
surfaceparm nolightmap
q3map_surfacelight 400
  {
          map textures/spazz_space/huey_lamp.jpg
  }


  {
          map textures/spazz_space/shine.jpg
	blendfunc add
  }

}  
textures/spazz_space/huey_orange
{
surfaceparm nolightmap

  {
          map textures/spazz_space/huey_orange.jpg	
		rgbgen vertex
  }


}  
textures/spazz_space/huey_orange2
{
surfaceparm nolightmap

  {
          map textures/spazz_space/huey_orange2.jpg	
		rgbgen vertex
  }


}  

textures/spazz_space/huey_cable
{
surfaceparm nolightmap

  {
          map textures/spazz_space/huey_cable.jpg	
		rgbgen vertex
  }


  {
          map textures/spazz_space/shineblob.jpg
	blendfunc add
  }

}  


textures/spazz_space/pipe
{
//surfaceparm nolightmap


q3map_forcemeta
q3map_nonplanar
q3map_shadeAngle 350  
q3map_lightmapMergable
q3map_lightmapaxis z

{
          map textures/spazz_space/pipe.jpg	
		//rgbgen vertex
  }




{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}  


textures/spazz_space/pipe2
{
//surfaceparm nolightmap
surfaceparm trans
q3map_forcemeta
q3map_nonplanar
q3map_shadeAngle 350  
q3map_lightmapMergable
q3map_lightmapaxis z
q3map_lightmapBrightness 1.2
{
          map textures/spazz_space/pipe2.jpg	
		
  }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}



}  

textures/spazz_space/tableshadow
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap

  {
          map textures/spazz_space/tableshadow.tga	
	blendfunc filter
  }



}  










textures/spazz_space/bed
{
//	surfaceparm trans

//	q3map_clipModel
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 150
	//q3map_terrain

q3map_indexed
q3map_lightmapaxis z
	q3map_splotchFix       
 	//q3map_tcGen ivector ( 32 0 0 ) ( 0 32 0 )
 //	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.65 )
q3map_lightmapMergable

//density odds minscale maxscale minangle maxangle oriented
//	q3map_surfaceModel models/spazz_space/spazz_space_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1

{

map textures/spazz_space/bed.jpg
rgbGen identity
}


{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}











textures/spazz_space/couch
{
//	q3map_splotchFix       
	q3map_forcemeta
	q3map_nonplanar
   	q3map_shadeAngle 60
//q3map_indexed
//q3map_lightmapaxis z
q3map_lightmapMergable
{

map textures/spazz_space/couch.jpg
rgbGen identity
}


	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_space/window2
{
//	q3map_splotchFix       
	q3map_forcemeta
//	q3map_nonplanar
//  	q3map_shadeAngle 10
//q3map_indexed
//q3map_lightmapaxis z
//q3map_lightmapMergable
qer_editorimage textures/spazz_space/window.jpg
{

map textures/spazz_space/window.jpg
rgbGen identity
}


{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_space/chair1map
{
surfaceparm nolightmap
  {
          map textures/spazz_space/chair1map.jpg	
  }


}  

textures/spazz_space/chair2map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/chair2map.jpg	
  }
}  



textures/spazz_space/chair3map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/chair3map.jpg	
  }


}  

textures/spazz_space/chair4map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/chair4map.jpg	
  }


}  

textures/spazz_space/tablemap
{
surfaceparm nolightmap

  {
          map textures/spazz_space/tablemap.jpg	
  }


}  

textures/spazz_space/cardtablemap
{
q3map_clipmodel
surfaceparm nolightmap

  {
          map textures/spazz_space/cardtablemap.jpg	
  }


}  


textures/spazz_space/couch1map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/couch1map.jpg	
  }


}  


textures/spazz_space/couch2map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/couch2map.jpg	
  }


}  


textures/spazz_space/couch3map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/couch3map.jpg	
  }


}  


textures/spazz_space/couch4map
{
surfaceparm nolightmap

  {
          map textures/spazz_space/couch4map.jpg	
  }


}  
textures/spazz_space/stick
{
	surfaceparm trans      
	surfaceparm nonsolid 
   {      
   map textures/spazz_space/stick.jpg
	rgbgen vertex
	}
}
textures/spazz_space/tomatoes
{
q3map_cloneShader  textures/spazz_space/tomatoesback
	surfaceparm trans      
	surfaceparm nonsolid 
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/tomatoes.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}
}

textures/spazz_space/tomatoesback
{
	q3map_invert
	surfaceparm trans      
	surfaceparm nonsolid 
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/tomatoes.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}


textures/spazz_space/bigleaf
{
q3map_cloneShader  textures/spazz_space/bigleafback
	surfaceparm trans      
	surfaceparm nonsolid 
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/bigleaf.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}

textures/spazz_space/bigleafback
{
q3map_invert
//	surfaceparm trans       
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/bigleaf.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}
textures/spazz_space/smallleaf
{
q3map_cloneShader  textures/spazz_space/smallleafback
//	surfaceparm trans       
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/smallleaf.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}

textures/spazz_space/smallleafback
{
q3map_invert
//	surfaceparm trans       
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/smallleaf.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}




textures/spazz_space/walldecal2
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap

  {
          map textures/spazz_space/walldecal2.tga	
	//rgbgen vertex
//alphaFunc GE128
blendfunc blend
//	depthwrite
//	blendfunc add

  }
//{
//map $lightmap
//rgbGen identity
//blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
//}


}  


textures/spazz_space/walldecal
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
//surfaceparm nolightmap

  {
          map textures/spazz_space/walldecal.tga	
	//rgbgen vertex
//alphaFunc GE128
blendfunc blend
//	depthwrite
//	blendfunc add

  }
//{
//map $lightmap
//rgbGen identity
//blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
//}


}  

textures/spazz_space/silent
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/silent.tga	
	blendfunc blend

  }

}  
textures/spazz_space/valleyforge
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/valleyforge.tga	
	rgbgen vertex
	blendfunc blend

  }

}  


textures/spazz_space/valleyforge2
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/valleyforge2.tga	
	blendfunc blend

  }

}  

textures/spazz_space/agr
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/agr.tga	
	blendfunc blend

  }

}  


textures/spazz_space/redlabel
{

qer_editorimage textures/spazz_space/red.tga	
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
  {
          map textures/spazz_space/red.tga	
	blendfunc blend

  }

}  

textures/spazz_space/blulabel
{
qer_editorimage textures/spazz_space/blu.tga	
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
  {
          map textures/spazz_space/blu.tga	
	blendfunc blend

  }

}  

textures/spazz_space/sto
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
  {
          map textures/spazz_space/sto.tga	
	blendfunc blend

  }

}  


textures/spazz_space/stobay
{
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
cull none
  {
          map textures/spazz_space/stobay.tga	
	blendfunc blend

  }

}  

textures/spazz_space/stobay1
{
polygonOffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
//cull none
  {
          clampmap textures/spazz_space/stobay1.tga	
	blendfunc blend

  }

}  
textures/spazz_space/stobay3
{
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5
cull none
  {
          clampmap textures/spazz_space/stobay3.tga	
	blendfunc blend

  }

}  

textures/spazz_space/acc
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/acc.tga	
	blendfunc blend

  }

}  


textures/spazz_space/cen
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/cen.tga	
	blendfunc blend

  }

}  



textures/spazz_space/rec
{
polygonoffset
surfaceparm trans
surfaceparm nomarks
surfaceparm nolightmap
qer_trans 0.5

  {
          map textures/spazz_space/rec.tga	
	blendfunc blend

  }

}  







textures/spazz_space/bigleaf
{
q3map_cloneShader  textures/spazz_space/bigleafback
	surfaceparm trans      
	surfaceparm nonsolid 
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_space/bigleaf.tga
			
	alphaFunc GE128
	//blendfunc blend
		rgbgen vertex
		}


}

textures/spazz_space/card
{
q3map_cloneShader  textures/spazz_space/cardback
//q3map_invert
          {
            map textures/spazz_space/card.jpg
		rgbgen vertex
		}


}

textures/spazz_space/cardback
{
q3map_invert
          {
            map textures/spazz_space/card.jpg
		rgbgen vertex
		}


}


textures/spazz_space/beachhutdoor
{
          {
            map textures/spazz_space/beachhutdoor
		rgbgen vertex
		}


}

textures/spazz_space/beachhutbluedoor
{
          {
            map textures/spazz_space/beachhutbluedoor
		rgbgen vertex
		}


}


textures/spazz_space/modeltable
{
q3map_forcemeta
qer_editorimage textures/spazz_space/bedroomceiling.jpg
  {
            map textures/spazz_space/bedroomceiling.jpg
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc add
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_space/shiny_door
{
q3map_forcemeta
qer_editorimage textures/spazz_space/cargo3.jpg

	  {
            map textures/spazz_space/cargo3.jpg
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc add
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spazz_space/cargo3shiny
{
q3map_forcemeta
qer_editorimage textures/spazz_space/cargo3.jpg

	  {
            map textures/spazz_space/cargo3.jpg
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc add
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spazz_space/shiny_glass
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
cull none
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 
textures/spazz_space/shiny_glass_no_lightmap
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 

textures/spazz_space/lampshadow
{
surfaceparm nolightmap	
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm nomarks
surfaceparm trans
polygonoffset

{
map textures/spazz_space/lampshadow.jpg
//rgbgen vertex
blendfunc filter
}
} 

textures/spazz_space/circlelight
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 


textures/spazz_space/moss2
{
surfaceparm trans
qer_trans 0.8
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm nolightmap
polygonOffset
  {
          map textures/spazz_space/moss2.tga
	rgbgen vertex
	blendfunc blend
  }
} 


textures/spazz_space/moss
{
surfaceparm trans
qer_trans 0.8
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm nolightmap
polygonOffset
  {
          map textures/spazz_space/moss.tga
	rgbgen vertex
	blendfunc blend
  }
} 

textures/spazz_space/dirtdecal
{
surfaceparm trans
qer_trans 0.4
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm nolightmap
polygonOffset
  {
          clampmap textures/spazz_space/dirtdecal.tga
	rgbgen vertex
	blendfunc blend
  }
} 
textures/spazz_space/dirtdecal2
{
surfaceparm trans
qer_trans 0.4
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm nolightmap
polygonOffset
  {
          clampmap textures/spazz_space/dirtdecal2.tga
	rgbgen vertex
	blendfunc blend
  }
} 

textures/spazz_space/bigdoorglass
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
//cull none
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
	rgbgen vertex
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 

textures/spazz_space/bigdoorglass2
{
qer_editorimage textures/spazz_space/shine.jpg
surfaceparm trans
//cull none
qer_trans 0.4

  {
          map textures/spazz_space/shine.jpg
	//rgbgen vertex
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 
textures/spazz_space/bigdoorglass3
{
qer_editorimage textures/spazz_space/shinecargo.jpg
surfaceparm trans
//cull none
qer_trans 0.4

  {
          map textures/spazz_space/shinecargo.jpg
	//rgbgen vertex
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }




} 

textures/spazz_space/fan_blade
{
qer_editorimage textures/spazz_space/huey_metal.jpg
cull none
surfaceparm nodrop
surfaceparm nolightmap
{
map textures/spazz_space/huey_metal.jpg
rgbgen vertex
}

  {
          map textures/spazz_space/shineblob.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

}

textures/spazz_space/wateringcan
{
  {
          map textures/spazz_space/wateringcan.jpg
	rgbgen vertex
  }



}

textures/spazz_space/divider
{
q3map_backShader  textures/spazz_space/divider_back
	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm trans
	surfaceparm nonsolid  
{
          map textures/spazz_space/divider.jpg
	rgbgen vertex
	blendfunc add
  }

{
          map textures/spazz_space/shine.jpg
//	rgbgen vertex
	tcgen environment
	blendfunc add
  }

}

textures/spazz_space/divider_back
{
q3map_invert
	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm trans
	surfaceparm nonsolid  
{
         map textures/spazz_space/divider.jpg
	rgbgen vertex
	blendfunc add

  }
{
          map textures/spazz_space/shine.jpg
	//rgbgen vertex
	tcgen environment
	blendfunc add
  }


}


textures/spazz_space/wateringcanwater
{

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
  
	
	{
		map textures/spazz_space/wateringcanwater.tga
		blendfunc blend //GL_DST_COLOR GL_ONE
		tcmod scroll 0.1 0.7
//		//rgbGen wave sin 0.1 0.05 0 0.05
//		tcMod turb 0.01 0.1 0.01 0.02

	}
	{
         map textures/spazz_space/shine2.jpg
        tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}


}
 textures/spazz_space/edgedecal
{
polygonoffset
qer_editorimage textures/spazz_space/cargo3.jpg

	  {
            map textures/spazz_space/cargo3.jpg
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

 textures/spazz_space/monitorcasing
{
qer_editorimage textures/spazz_space/cargo3.jpg

	  {
            map textures/spazz_space/cargo3.jpg
	rgbgen vertex
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
	}
//{
//map $lightmap
//blendFunc GL_DST_COLOR GL_ZERO
//}
}




 textures/spazz_space/monitorcasing2
{
qer_editorimage textures/spazz_space/pipe.jpg
q3map_vertexscale 0.8
	  {
            map textures/spazz_space/pipe.jpg
	rgbgen vertex
	}
//{
//map $lightmap
//blendFunc GL_DST_COLOR GL_ZERO
//}
}


 textures/spazz_space/consolecasing
{
qer_editorimage textures/spazz_space/pipe.jpg
q3map_forcemeta
	  {
            map textures/spazz_space/pipe.jpg
	//rgbgen vertex
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}



textures/spazz_space/saturn
{
	//q3map_forcemeta
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/spazz_space/saturn.jpg
	tcmod scroll -0.01 0.0
	tcMod turb 0.0 0.005 0.0 0.01
		rgbgen vertex
	}

}


 textures/spazz_space/saturnrings
{
qer_editorimage textures/spazz_space/saturnrings.jpg
	surfaceparm nolightmap
	  {
            clampmap textures/spazz_space/saturnrings.jpg
	rgbgen vertex
	blendfunc add
	}
}

textures/spazz_space/projector
{
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/spazz_space/stairmetal.jpg
	{
		map textures/spazz_space/stairmetal.jpg
		rgbgen vertex	
	}

}
textures/spazz_space/cratedisplay
{
	surfaceparm nolightmap
	{
		map textures/spazz_space/cratedisplay.jpg
	}

}
textures/spazz_space/redflagspot
{
	//q3map_forcemeta
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_editorimage textures/spazz_space/redball.jpg
	qer_trans 0.5
	{
		map textures/spazz_space/redball.jpg
		rgbgen vertex
		
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc add
	}


}
textures/spazz_space/redflagspot2
{
	//q3map_forcemeta
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	qer_editorimage textures/spazz_space/redball.jpg
	qer_trans 0.5
	{
		map textures/spazz_space/redball.jpg
		rgbgen vertex
		blendfunc add
	}
	{
		map textures/spazz_space/shinecorridor.jpg
		tcgen environment
		blendfunc add
	}


}

textures/spazz_space/blueflagspot
{
	
	surfaceparm noimpact
	
	surfaceparm nolightmap
	
	qer_editorimage textures/spazz_space/blueball.jpg
	qer_trans 0.5
	{
		map textures/spazz_space/blueball.jpg
		rgbgen vertex
	}
	{
		map textures/spazz_space/shine.jpg
		tcgen environment
		blendfunc add
	}


}

textures/spazz_space/blueflagspot2
{
	//q3map_forcemeta
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	qer_editorimage textures/spazz_space/blueball.jpg
	qer_trans 0.5
	{
		map textures/spazz_space/blueball.jpg
		rgbgen vertex
		blendfunc add
	}
	{
		map textures/spazz_space/shinecorridor.jpg
		tcgen environment
		blendfunc add
	}


}











textures/spazz_space/projection
{
surfaceparm trans
surfaceparm nolightmap
qer_editorimage computerscreen9.jpg
{
		animmap 0.2 textures/spazz_space/computerscreen9.jpg textures/spazz_space/computerscreen10.jpg 
		blendfunc add
}



  {
            map textures/spazz_space/stars.tga
	blendfunc add
		tcmod scroll 0.02 0.0
	}




	 
 {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.2 22
rgbgen wave sin 0.2 0.2 0.3 0.5
		blendfunc add

tcmod scroll 0.0 6.0
	}

}

textures/spazz_space/projection2
{
//surfaceparm trans
surfaceparm nolightmap
qer_editorimage computerscreen9.jpg
{
		animmap 0.2 textures/spazz_space/computerscreen9.jpg textures/spazz_space/computerscreen10.jpg 
//		blendfunc add
}

 {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.2 22
rgbgen wave sin 0.2 0.2 0.3 0.5
		blendfunc add

tcmod scroll 0.0 6.0
	}

}

textures/spazz_space/projection_corona
{
surfaceparm nolightmap
qer_editorimage computerscreen9.jpg
surfaceparm trans
{
		animmap 0.2 textures/spazz_space/computerscreen9.jpg textures/spazz_space/computerscreen10.jpg 
		rgbgen wave noise 0.4 0.2 0.2 22
		blendfunc add
}



 




	 
 {
            map textures/spazz_space/computerscreen6.jpg
//tcMod stretch <func> <base> <amplitude> <phase> <frequency>
rgbgen wave noise 0.2 1.0 0.2 22
rgbgen wave sin 0.2 0.2 0.3 0.5
		blendfunc add

tcmod scroll 0.0 0.2
	}

}